简介
Flarum 是一款现代的,优雅的,简洁的,强大的论坛软件!颜值吊打现在为止的所有论坛软件,颜值即正义(/ω\)

安装

  1. 检查自己服务器配置

Apache (with mod_rewrite enabled) or Nginx
PHP 7.1+ with the following extensions: curl, dom, gd, json, mbstring, openssl, pdo_mysql, tokenizer, zip
MySQL 5.6+ or MariaDB 10.0.5+
SSH (command-line) access to run Composer

  1. 下载 先到www/wwwroot下新建一个目录flarum 然后在目录中运行

composer create-project flarum/flarum . --stability=beta

如果提示权限不够的话

sudo composer create-project flarum/flarum . --stability=beta

如果报Warning: putenv() has been disabled for security reasons in…

putenv() 方法被禁用了 去php开一下

如果报Your requirements could not be resolved to an installable set of packages 因为包的版本要求是php7+ 而服务器版本可能不够

composer install --ignore-platform-reqs 或者 composer update --ignore-platform-reqs 然后再次执行可能错误还报 但是可以忽略

  1. 运行

网站运行目录指向public文件夹 浏览器运行对应网址

如果报 require(): open_basedir restriction in effect.
宝塔后台 防跨站攻击这里不要勾选
1569312449(1).jpg

如果报Fatal error: require(): Failed opening required
网站更目录执行composer install 然后重新运行 如果还是报这个错误的话 删除掉目录重新下载

4.安装插件的一定要到网站目录下面 比如上面我们新建的是flarum目录 就先cd到flarum目录下

5.删除的话直接删除网站整个目录 然后才能重装

Last modification:October 15th, 2019 at 11:16 am
如果觉得我的文章对你有用,请随意赞赏